# TEXTES ProgressBar
PROGRESSION = "        Progression "
FICHIER_TRANSFERE = "    Fichier transféré : "

# TEXTES MAILS
TEXTE_DONT = "    - dont "

# TEXTES DIVERS
PAS_ACCESSIBLE = " n'est pas accessible"

# LOGS ENTETE
ljust_entete = 20
ET_VOLUMETRIES = "    [Volumetries] - ".ljust(ljust_entete)
ET_TRANSFERT = "    [Transfert FTP] - ".ljust(ljust_entete)
ET_SHAREPOINT = "    [Sharepoint] - ".ljust(ljust_entete)
ET_UC = "    [Usine Courrier] - ".ljust(ljust_entete)
ET_SUPERVISION = "    [Supervision] - ".ljust(ljust_entete)

# Extensions
PDF_EXT = ".pdf"
IND_EXT = ".ind"
VPF_EXT = ".vpf"
ZIP_EXT = ".zip"
CSV_EXT = ".csv"
XML_EXT = ".xml"
XLSX_EXT = ".xlsx"

# Regex Divers
REGEX_PDF = ".*\.[pdf|PDF]"

# REGEX RECOMMANDES
listeBrancheREGEX = "ADDVALUE|ASSISTANCE_VOYAGE|ASSOC|AUTO|AUTO_TEMPO|BUREAUX|CCAR|CHIEN-CHAT|COMMERCES|EXTENSION_GARANTIE|FLOTTE|IA|INDEMNITES_BLESSURES|INDIVIDUELLE_ACCIDENT|ISF|MOTO|MRH|MULTI_PRO|PJ|PREVOYANCE|PRODUITS_DIVERS|RISQUES_FINANCIERS|SANTE|SCOOTER|SOA|VSP|COMMUN|CYCLO"
listeDocREGEX = "AGRAVATION__DU_RISQUE|CHARTIS_LRCONTPRIMES|HSBC_LR_MED|LR_IMPAYE|LR_RECLA|LR_RESILIATION_HAMON|LRCONTGESTION|LRCONTPRIMES|MANDAT_LOIHAMON|NPFD|NPFDNI|RESILIATION_DECES|SINMETIERS|LRCONTPRIMESAUTOMATE|LR_PRECONTENTIEUX|LR_GESTION|LR_PRIMES|LR_TIERS|COURRIER_RECO_SIMPLE|LR_SINISTRE_ALCOOLEMIE|REFUS_AVENANT_AUTRE|LRRESILSURV_GANBTC|LR_RESIL_PIECES|LRRESILSURV_GANBTB|LRRESILSURV_GANBTC|LR_PROPOSITION_SANS_SUITE|SINRECLACIE|SINARARCOPL|LR_PTX-G|SINLETTRETYPERECOMMANDEE|MANDATLOIHAMONVYV|MANDAT_LOIHAMONVYV"

expr_rgx = "^(" + listeDocREGEX + ")(-)?(" + listeBrancheREGEX + ")?[-|_]([^-]+).*"

MONTHS = ["janvier", "février", "mars", "avril", "mai", "juin",
          "juillet", "aout", "septembre", "octobre", "novembre", "décembre"]